#!/bin/sh
#
# Run this script in the top level directory to create the translated man pages:
#
# Once the TP module has been created, this command gets the latest po files:
# echo "Getting the latest translations from translationproject.org..."
# rsync -Lrtvz  translationproject.org::tp/latest/vorbis-tools-man/  man-po

cd man-po

for lang in *.po
  do
  if [ -d ${lang%.*} ] ; then
  echo "${lang%.*}: directory exists, will be reused"
  else
    mkdir ${lang%.*}
  fi
    po4a-translate -f man -m ../ogg123/ogg123.1 -p ${lang} -l ${lang%.*}/ogg123.1
    po4a-translate -f man -m ../oggdec/oggdec.1 -p ${lang} -l ${lang%.*}/oggdec.1
    po4a-translate -f man -m ../oggenc/man/oggenc.1 -p ${lang} -l ${lang%.*}/oggenc.1
    po4a-translate -f man -m ../ogginfo/ogginfo.1 -p ${lang} -l ${lang%.*}/ogginfo.1
    po4a-translate -f man -m ../vcut/vcut.1 -p ${lang} -l ${lang%.*}/vcut.1
    po4a-translate -f man -m ../vorbiscomment/vorbiscomment.1 -p ${lang} -l ${lang%.*}/vorbiscomment.1
done